configure: fix AC_CACHE_VAL warnings on Fedora 10
[nfs-utils.git] / aclocal / libblkid.m4
1 dnl *************************** libblkid needs version 1.40 or later ***********************
2 AC_DEFUN([AC_BLKID_VERS], [
3   AC_MSG_CHECKING(for suitable libblkid version)
4   AC_CACHE_VAL([libblkid_cv_is_recent],
5    [
6     saved_LIBS="$LIBS"
7     LIBS=-lblkid
8     AC_TRY_RUN([
9         #include <blkid/blkid.h>
10         int main()
11         {
12                 int vers = blkid_get_library_version(0, 0);
13                 return vers >= 140 ? 0 : 1;
14         }
15        ], [libblkid_cv_is_recent=yes], [libblkid_cv_is_recent=no],
16        [libblkid_cv_is_recent=unknown])
17     LIBS="$saved_LIBS"])
18   AC_MSG_RESULT($libblkid_cv_is_recent)
19 ])dnl